package com.ruoyi.ibs.grid.service;

import com.ruoyi.ibs.grid.domain.dto.GridRegionTransferDTO;
import com.ruoyi.ibs.grid.domain.dto.TransferApproveDTO;
import com.ruoyi.ibs.grid.domain.entity.GridRegionTransfer;
import com.ruoyi.ibs.grid.domain.entity.RegionCustUser;
import com.ruoyi.ibs.grid.domain.entity.RegionGrid;

import java.util.List;

/**
 * @Author 吴凯程
 * @Date 2025/6/23
 **/
public interface RegionGridTransferService {

    String createGridTransfer(GridRegionTransferDTO gridRegionTransferDTO);

    String branchApprove(TransferApproveDTO transferApproveDTO);

    String headApprove(TransferApproveDTO transferApproveDTO);

    void updateGridTransfer(GridRegionTransfer gridRegionTransfer);

    RegionCustUser getRegionCustUser(GridRegionTransfer gridRegionTransfer);

    List<GridRegionTransfer> getGridRegionTransferList();

    List<RegionGrid> getSecGridList();

}
